---
- include_tasks: lookup-postfix-db.yml
- name: Forward anacron messages to {{ anacron_address | default("root") }}
  ini_file:
    path: /etc/anacrontab
    section: null
    option: MAILTO
    value: "{{ anacron_address | default('root') }}"
    no_extra_spaces: true
  when: anacron_address is defined
- name: Validate anacron configuration
  command: anacron -T
  changed_when: false
- name: Copy files
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
  with_items: "{{cron_copy}}"
  loop_control:
    label: "Copy {{item.src}} to {{item.dest}}"
- name: Copy templated files
  template:
    src: "templates/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
  with_items: "{{cron_template}}"
  when: not item.when is defined or item.when
  loop_control:
    label: "Copy {{item.src}} to {{item.dest}}"

- name: Remove disabled crons
  file:
    path: "{{ item.dest }}"
    state: absent
  when: "'when' in item and not item.when"
  with_items: "{{ cron_template }}"

- name: Remove nightly fst sync
  file: path="{{ nightly_fst_sync }}" state=absent
  when: not apnscp_resync_filesystem_nightly | bool

- name: Set apnscp update policy
  ini_file:
    path: /etc/sysconfig/apnscp
    no_extra_spaces: yes
    section: null
    option: APNSCP_UPDATE_POLICY
    value: "{{ (apnscp_update_policy != false) | ternary(apnscp_update_policy | quote, '')}}"

- name: "Set FLARE endpoint"
  ini_file:
    path: /etc/sysconfig/apnscp
    no_extra_spaces: yes
    section: null
    option: APNSCP_FLARE_URL
    value: "{{ apnscp_flare_endpoint | quote }}"
  when: apnscp_flare_endpoint | bool
